#ifndef NAMEDIALOG_H
#define NAMEDIALOG_H

#include <QtGui/QDialog>

namespace Ui {
    class NameDialog;
}

class NameDialog : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(NameDialog)

public:
    explicit NameDialog(QWidget *parent = 0);
    virtual ~NameDialog();

signals:
    void nameEntered (QString);

protected:
    virtual void changeEvent(QEvent *e);

public slots:
    void acceptName ();
    void activateButton (QString);


private:
    Ui::NameDialog *m_ui;
};

#endif // NAMEDIALOG_H
